classification
Title: No SSL match_hostname() in imaplib
Type: security Stage: resolved
Components: email, Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, barry, christian.heimes, python-dev, r.david.murray
Priority: normal Keywords: patch

Created on 2013-11-25 23:45 by christian.heimes, last changed 2013-12-02 19:02 by christian.heimes. This issue is now closed.

Files
File name Uploaded Description Edit
check_imaplib.patch christian.heimes, 2013-11-25 23:45 review
Messages (2)
msg204434 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2013-11-25 23:45
match_hostname patch for imaplib (see #19509). The patch doesn't have tests yet.
msg205041 - (view) Author: Roundup Robot (python-dev) Date: 2013-12-02 19:02
New changeset 23001d915b39 by Christian Heimes in branch 'default':
Issue #19782: imaplib now supports SSLContext.check_hostname and server name
http://hg.python.org/cpython/rev/23001d915b39
History
Date User Action Args
2013-12-02 19:02:42christian.heimessetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-12-02 19:02:17python-devsetnosy: + python-dev
messages: + msg205041
2013-11-26 15:28:28r.david.murraysetnosy: + barry, r.david.murray
components: + email
2013-11-26 02:25:05Arfreversetnosy: + Arfrever
2013-11-25 23:48:56christian.heimeslinkissue19509 dependencies
2013-11-25 23:45:53christian.heimessetfiles: + check_imaplib.patch
keywords: + patch
2013-11-25 23:45:28christian.heimescreate